// LogTest.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "GTCfg.h"
#include "GTLog.h"
#include "GTBase.h"

using namespace GTAPI;
CMutex mtx;
int cnt = 1;

class LogWrite : public CBaseThread
{
public:
	LogWrite():CBaseThread(){}
	virtual ~LogWrite(){}
	virtual	bool DoUnblockedLoop()
	{
		for(int i=0; i<100; i++)
		{
			int id = 0;
			CMutexLock alock(mtx);
			id = cnt++;
			CGTLogInterface::Log(GT_LOG_DEBUG, "%d This is a test message, This is a test message, This is a test message, This is a test message, This is a test message, This is a test message, This is a test message, This is a test message", id);
		}
		Sleep(50);
		return true;
	}
};

int _tmain(int argc, _TCHAR* argv[])
{
	CGTLOGEnv*	pLogEnv = AfxGetGTLogEnv();

	CGTCfgInterface::CFG_SetValue("gtsrv.log.file.number", "20");

	pLogEnv->_Init("c:\\temp\\logtest.txt", GT_LOG_INFO, 1024*1024*100);

	LogWrite** logW = new LogWrite*[10];

	for(int i=0; i<10; i++)
	{
		logW[i] = new LogWrite();
		logW[i]->TCreate();
	}

	printf("Press a key to exit:\n");
	getchar();

	for(int i=0; i<10; i++)
	{
		logW[i]->TDestroy();

		delete logW[i];
	}

	return 0;
}

